// package: bet.beteran.bank
// file: models/bank.proto

import * as jspb from "google-protobuf";

export class Bank extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getName(): string;
  setName(value: string): void;

  getSortOrder(): number;
  setSortOrder(value: number): void;

  getShow(): boolean;
  setShow(value: boolean): void;

  getCanUse(): boolean;
  setCanUse(value: boolean): void;

  hasMemo(): boolean;
  clearMemo(): void;
  getMemo(): string;
  setMemo(value: string): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Bank.AsObject;
  static toObject(includeInstance: boolean, msg: Bank): Bank.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: Bank, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Bank;
  static deserializeBinaryFromReader(message: Bank, reader: jspb.BinaryReader): Bank;
}

export namespace Bank {
  export type AsObject = {
    id: string,
    name: string,
    sortOrder: number,
    show: boolean,
    canUse: boolean,
    memo: string,
    createdAt: number,
    updatedAt: number,
  }
}

